# $Revision: 1.23 $, $Date: 2005/10/30 14:56:03 $
Summary:	chmlib - library designed for accessing MS ITSS files
Summary(pl):	chmlib - biblioteka pozwalajca na dostp do plikw MS ITSS
Name:		chmlib
Version:	0.37.4
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://66.93.236.84/~jedwin/projects/chmlib/%{name}-%{version}.tbz
# Source0-md5:	b3a0c3bc955abd2155cc298c6cdbbf20
Patch0:		%{name}-morearchs.patch
URL:		http://66.93.236.84/~jedwin/projects/chmlib/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
chmlib is a small library designed for accessing MS ITSS files. The
ITSS file format is used for Microsoft HTML Help files (.chm), which
have been the predominant medium for software documentation from
Microsoft during the past several years, having superceded the
previously used .hlp file format.

%description -l pl
chmlib to niewielka biblioteka przeznaczona do odczytu plikw MS ITSS.
Format ITSS jest uywany w plikach Microsoft HTML Help (.chm), ktre
stay si dominujcym medium dla elektronicznej dokumentacji
udostpnianej przez Microsoft w ostatnim czasie, zastpujc poprzednio
uywane pliki .hlp.

%package devel
Summary:	chmlib header files
Summary(pl):	Pliki nagwkowe chmlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files needed for building programs that use chmlib.

%description devel -l pl
Pliki nagwkowe potrzebne do tworzenia programw z uyciem chmlib.

%package static
Summary:	chmlib static library
Summary(pl):	Biblioteka statyczna chmlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of chmlib.

%description static -l pl
Statyczna wersja chmlib.

%prep
%setup -q -n %{name}-0.37
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure

%{__make}

%{__make} examples \
	libdir=src/.libs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install *_chmLib chm_http $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libchm.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libchm.so
%{_libdir}/libchm.la
%{_includedir}/chm_lib.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libchm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: chmlib.spec,v $
Revision 1.23  2005/10/30 14:56:03  qboosh
- updated to 0.37.4, removed obsolete LIBDIR patch
- more verbose files, added NEWS to doc

Revision 1.22  2005/10/28 05:51:49  qboosh
- fixed build without installed chmlib-devel; release 2

Revision 1.21  2005/10/27 22:38:20  qboosh
- updated to 0.37.3 (fixes CAN-2005-3318)
- updated LIBDIR patch

Revision 1.20  2005/09/19 12:30:41  djurban
- update to 0.36

Revision 1.19  2005/05/28 10:35:02  zbyniu
- regenerate ac

Revision 1.18  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.17  2004/07/05 20:28:09  qboosh
- updated LIBDIR patch, use autoconf features, release 1

Revision 1.16  2004/07/05 13:36:13  kolodko
- up to 0.35

Revision 1.15  2004/07/05 13:31:25  kolodko
- up to 0.33

Revision 1.14  2004/01/02 15:44:45  jajcus
- Release: 5 (STBR after AMD64 fixes)

Revision 1.13  2003/12/27 16:08:51  undefine
- use libdir to allow build on amd64

Revision 1.12  2003/11/19 09:25:38  qboosh
- replaced sparcppc with more general morearchs patch; release 4

Revision 1.11  2003/11/19 00:12:23  undefine
- release 3 to rebuild with ac

Revision 1.10  2003/11/08 09:06:55  undefine
- add support sparc/ppc machines
- release 2

Revision 1.9  2003/08/23 21:31:34  gotar
- BR: libtool

Revision 1.8  2003/08/06 16:46:15  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.7  2003/07/12 19:00:38  qboosh
- up to 0.31

Revision 1.6  2003/06/21 07:00:32  blues
- many small fixes, mostly in URLs and mostly by kloczek

Revision 1.5  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:46:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/10/10 12:36:00  marcus
- use new %%doc

Revision 1.1  2002/04/14 19:52:48  qboosh
- new
